=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-24-alpha-generic [alpha], linux-image-4.19.0-24-alpha-smp [alpha], linux-image-4.19.0-24-amd64-unsigned [amd64], linux-image-4.19.0-24-cloud-amd64-unsigned [amd64], linux-image-4.19.0-24-rt-amd64-unsigned [amd64], linux-image-4.19.0-24-arm64-unsigned [arm64], linux-image-4.19.0-24-rt-arm64-unsigned [arm64], linux-image-4.19.0-24-marvell [armel], linux-image-4.19.0-24-rpi [armel], linux-image-4.19.0-24-armmp [armhf], linux-image-4.19.0-24-armmp-lpae [armhf], linux-image-4.19.0-24-rt-armmp [armhf], linux-image-4.19.0-24-parisc [hppa], linux-image-4.19.0-24-parisc-smp [hppa], linux-image-4.19.0-24-parisc64-smp [hppa], linux-image-4.19.0-24-686-unsigned [i386], linux-image-4.19.0-24-686-pae-unsigned [i386], linux-image-4.19.0-24-rt-686-pae-unsigned [i386], linux-image-4.19.0-24-itanium [ia64], linux-image-4.19.0-24-mckinley [ia64], linux-image-4.19.0-24-m68k [m68k], linux-image-4.19.0-24-4kc-malta [mips mipsel], linux-image-4.19.0-24-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-24-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-24-loongson-3 [mips64el mipsel], linux-image-4.19.0-24-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-24-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-24-mips32r6 [mipsr6], linux-image-4.19.0-24-mips32r6el [mipsr6el], linux-image-4.19.0-24-powerpc [powerpc], linux-image-4.19.0-24-powerpc-smp [powerpc], linux-image-4.19.0-24-powerpc64 [powerpc ppc64], linux-image-4.19.0-24-powerpcspe [powerpcspe], linux-image-4.19.0-24-powerpc64le [ppc64el], linux-image-4.19.0-24-riscv64 [riscv64], linux-image-4.19.0-24-s390x [s390x], linux-image-4.19.0-24-sh7751r [sh4], linux-image-4.19.0-24-sh7785lcr [sh4], linux-image-4.19.0-24-sparc64 [sparc64], linux-image-4.19.0-24-sparc64-smp [sparc64]
Classes: smp
