=== tools/testing/selftests/watchdog/Makefile ===
# SPDX-License-Identifier: GPL-2.0
TEST_GEN_PROGS := watchdog-test

include ../lib.mk
